using System;
using System.Data;

namespace CreateDataSet
{
    class Program
    {
        static void Main(string[] args)
        {
            DataSet ds = new DataSet("DS1");
            //Def. Tabulky
            DataTable table = new DataTable("Suhvezdia");
            
            //Def stlpca ID
            DataColumn collID = new DataColumn();
            collID.Caption="ID";
            collID.ColumnName = "id";
            collID.DataType = typeof(int);
            collID.AutoIncrement = true;
            collID.Unique = true;
            
            //Def. stlpca Nazov po slovensky
            DataColumn col1 = new DataColumn();
            col1.Caption = "Nzov Sk";
            col1.ColumnName = "nazov_sk";
            col1.DataType = typeof(string);
            col1.AllowDBNull = false;

            //Def. stlpca Nazov po latinsky
            DataColumn col2 = new DataColumn();
            col2.Caption = "Nzov Lt.";
            col2.ColumnName = "nazov_lt";
            col2.DataType = typeof(string);
            col2.AllowDBNull = true;
            
            //Pridanie stlpcov do tabulky
            table.Columns.Add(collID);
            table.Columns.Add(col1);
            table.Columns.Add(col2);

            //Pridanie tabulky do DataSetu
            ds.Tables.Add(table);
                        
            //Naplnenie tabulky
            //Vrati uz riadok podla navrhnutej schemy
            DataRow rowTemp = table.NewRow();
            rowTemp["nazov_sk"] = "korpin";
            rowTemp["nazov_lt"] = "Scorpio";
            table.Rows.Add(rowTemp);

            //potrebne si vyziadat novy riadok
            rowTemp = table.NewRow();
            rowTemp["nazov_sk"] = "Panna";
            rowTemp["nazov_lt"] = "Virgo";
            table.Rows.Add(rowTemp);

           //Ulozime do XML
           ds.WriteXml("suhviezdia.xml");
           ds.WriteXmlSchema("schema.xsd");
        
        }
    }
}
